Unit AMM6R_p;
interface
uses
SysUtils, Math, { Delphi }
LStruct, Lfunc;

procedure AMM6R(var A :Array of Real; N :Integer;
                var B :Array of Real; M :Integer;
                var C :Array of Real); 
implementation

procedure AMM6R(var A :Array of Real; N :Integer;
                var B :Array of Real; M :Integer;
                var C :Array of Real);
var
I,J,IBEG,L,KK,K :Integer;
SUM :Real;
label
_5,_10,_15;
begin
for J:=1 to M do
 begin
  IBEG := 1;
  for I:=1 to N do
   begin
    L := IBEG;
    KK := 1;
    SUM := 0.0;
    for K:=1 to N do
     begin
      SUM := SUM + A[L-1] * B[(K-1)+(J-1)*N];
      if ( K >= I ) 
       then KK := K;
      L := L + KK;
_5:
     end;
    C[(I-1)+(J-1)*N] := SUM;
    IBEG := IBEG + I;
_10:
   end;
_15:
 end;
end;

end.
